Skip to main content
POST
/
api
/
v
{version}
/
merchants
cURL
curl --request POST \
  --url https://identity.payven.com.tr/api/v{version}/merchants \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "legalName": "<string>",
  "taxId": "<string>",
  "externalId": "<string>",
  "taxOffice": "<string>",
  "bkmMemberId": "<string>",
  "email": "<string>",
  "contactPhone": "<string>",
  "city": "<string>",
  "district": "<string>",
  "address": "<string>",
  "url": "<string>",
  "defaultMcc": "<string>",
  "defaultMccCategory": "<string>",
  "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": 0
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "legalName": "<string>",
    "externalId": "<string>",
    "taxId": "<string>",
    "taxOffice": "<string>",
    "bkmMemberId": "<string>",
    "email": "<string>",
    "contactPhone": "<string>",
    "city": "<string>",
    "district": "<string>",
    "address": "<string>",
    "url": "<string>",
    "defaultMcc": "<string>",
    "defaultMccCategory": "<string>",
    "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parentName": "<string>",
    "isActive": true,
    "status": 0,
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
string
required

Body

name
string | null
taxId
string | null
externalId
string | null
taxOffice
string | null
bkmMemberId
string | null
email
string | null
contactPhone
string | null
city
string | null
district
string | null
address
string | null
url
string | null
defaultMcc
string | null
defaultMccCategory
string | null
parentId
string<uuid> | null
status
enum<integer>
Available options:
0,
1,
2

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object